"""Copyright 2017 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License."""


import logging
import sys


class Logger:
    """Utility methods for logging."""

    def __init__(self, level):
        """The default constructor."""
        logger = logging.getLogger()
        logger.setLevel(logging.INFO if level is None else level)

        info_handler = logging.StreamHandler(sys.stdout)
        info_handler.setLevel(logging.INFO)
        info_formatter = logging.Formatter("%(message)s")
        info_handler.setFormatter(info_formatter)
        logger.addHandler(info_handler)

    @staticmethod
    def non_match_rec_hdr():
        """Prints a header for non-matched records list."""
        logging.info('\n=============================================')
        logging.info('\nWARNING: Non-matched records have been found:\n')
        logging.info('=============================================\n')
